function addMonomialMatrix(dec, nMax)

%% generate monomial matrices
mat = cell(nMax+1, 1);
mat{1} = zeros(1, dec.nC);
nMonomial = 1;

for iExpo = 1:nMax
    % obtain indices for exponent
    thisMat = obtainOrderedSetMatrix(dec.nC, iExpo, 1);
    nRow = size(thisMat, 1);
    nMonomial = nMonomial + nRow;
    
%     % exponent index matrix
%     mat{iExpo+1} = zeros(nRow, dec.nC);
%     for iRow = 1:nRow
%         mat{iExpo+1}(iRow
%     
%     mat = [mat; 
end

dec.monomialMatrix = zeros(nMonomial, nMax);
iRow = 0;
for iExpo = nMax:-1:0
    dec.monomialMatrix(iRow + (1:size(mat{iExpo+1}, 1)), 1:iExpo) = mat{iExpo};
end